Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticloadbalancing.model
Class SetLoadBalancerPoliciesOfListenerRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.elasticloadbalancing.model.SetLoadBalancerPoliciesOfListenerRequest

    public class SetLoadBalancerPoliciesOfListenerRequest

extends AmazonWebServiceRequest

Container for the parameters to the `SetLoadBalancerPoliciesOfListener operation`.

See Also:
  `AmazonElasticLoadBalancing.setLoadBalancerPoliciesOfListener(SetLoadBalancerPoliciesOfListenerRequest)`

Constructor Summary
`SetLoadBalancerPoliciesOfListenerRequest()`

Method Summary
`String` | `getLoadBalancerName()` Returns the value of the LoadBalancerName property for this object.
`Integer` | `getLoadBalancerPort()` Returns the value of the LoadBalancerPort property for this object.
`List<String>` | `getPolicyNames()` Returns the value of the PolicyNames property for this object.
`void` | `setLoadBalancerName(String loadBalancerName)` Sets the value of the LoadBalancerName property for this object.
`void` | `setLoadBalancerPort(Integer loadBalancerPort)` Sets the value of the LoadBalancerPort property for this object.
`void` | `setPolicyNames(Collection<String> policyNames)` Sets the value of the PolicyNames property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`SetLoadBalancerPoliciesOfListenerRequest` | `withLoadBalancerName(String loadBalancerName)` Sets the value of the LoadBalancerName property for this object.
`SetLoadBalancerPoliciesOfListenerRequest` | `withLoadBalancerPort(Integer loadBalancerPort)` Sets the value of the LoadBalancerPort property for this object.
`SetLoadBalancerPoliciesOfListenerRequest` | `withPolicyNames(Collection<String> policyNames)` Sets the value of the PolicyNames property for this object.
`SetLoadBalancerPoliciesOfListenerRequest` | `withPolicyNames(String... policyNames)` Sets the value of the PolicyNames property for this object.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SetLoadBalancerPoliciesOfListenerRequest

    public SetLoadBalancerPoliciesOfListenerRequest()

Method Detail

### getLoadBalancerName

    public String getLoadBalancerName()

  Returns the value of the LoadBalancerName property for this object.

  Returns:
    The value of the LoadBalancerName property for this object.

### setLoadBalancerName

    public void setLoadBalancerName(String loadBalancerName)

  Sets the value of the LoadBalancerName property for this object.

  Parameters:
    `loadBalancerName` - The new value for the LoadBalancerName property for this object.

### withLoadBalancerName

    public SetLoadBalancerPoliciesOfListenerRequest withLoadBalancerName(String loadBalancerName)

  Sets the value of the LoadBalancerName property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `loadBalancerName` - The new value for the LoadBalancerName property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLoadBalancerPort

    public Integer getLoadBalancerPort()

  Returns the value of the LoadBalancerPort property for this object.

  Returns:
    The value of the LoadBalancerPort property for this object.

### setLoadBalancerPort

    public void setLoadBalancerPort(Integer loadBalancerPort)

  Sets the value of the LoadBalancerPort property for this object.

  Parameters:
    `loadBalancerPort` - The new value for the LoadBalancerPort property for this object.

### withLoadBalancerPort

    public SetLoadBalancerPoliciesOfListenerRequest withLoadBalancerPort(Integer loadBalancerPort)

  Sets the value of the LoadBalancerPort property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `loadBalancerPort` - The new value for the LoadBalancerPort property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPolicyNames

    public List<String> getPolicyNames()

  Returns the value of the PolicyNames property for this object.

  Returns:
    The value of the PolicyNames property for this object.

### setPolicyNames

    public void setPolicyNames(Collection<String> policyNames)

  Sets the value of the PolicyNames property for this object.

  Parameters:
    `policyNames` - The new value for the PolicyNames property for this object.

### withPolicyNames

    public SetLoadBalancerPoliciesOfListenerRequest withPolicyNames(String... policyNames)

  Sets the value of the PolicyNames property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `policyNames` - The new value for the PolicyNames property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withPolicyNames

    public SetLoadBalancerPoliciesOfListenerRequest withPolicyNames(Collection<String> policyNames)

  Sets the value of the PolicyNames property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `policyNames` - The new value for the PolicyNames property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.